# RPM specfile for gftp module
# Generated Thu May 23 18:25:24 2002 GMT by Ximian build system
# $Id: bb_do,v 1.183 2002/04/19 17:44:22 thunder Exp $
# from $Id: ximian-build.conf,v 1.20 2002/05/06 16:22:27 frb Exp $

%define nam	gftp
%define ver	2.0.12
%define ximrev	1

Name:     	gftp
Version: 	2.0.12
Release:	1.ximian.1
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for Red Hat Linux 7.3 / i386
Copyright:	GPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc

URL:		http://www.gnome.org/
Epoch:		1
Source0:	gftp-2.0.12.tar.gz
Patch0:		gftp-left-aligned-help.patch
Patch1:		gftp-bookmarks.patch
Summary:	X/GTK+ FTP client
Group:		Applications/Internet
Provides:	ximian-gftp = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}

%description
gFTP is a multithreaded FTP client for X written using GLib/GTK+.
It features:
* simultaneous downloads,
* resuming of interrupted file transfers,
* file transfer queues,
* downloading of entire directories,
* FTP and HTTP proxy support,
* remote directory caching,
* passive and non-passive file transfers,
* drag-n-drop support,
* bookmarks menu,
* stop button, and many more features.

%files
%defattr(-, root, root)
/usr/bin/*
/usr/share/gftp/*
/usr/share/pixmaps/*
/usr/share/gnome/apps/Internet/*
/usr/*/locale/*/LC_MESSAGES/*
/usr/share/man/man1/*


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n gftp-2.0.12
    ;;
all)
%setup  -q -n gftp-2.0.12
    ;;
esac
case "${RPM_COMMAND:-all}" in
dist|all)
%patch -p1 -P 0
%patch -p1 -P 1
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    ./configure --prefix=/usr --sysconfdir=/etc --mandir=/usr/share/man --infodir=/usr/share/info --localstatedir=/var
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} install prefix=${DESTDIR}/usr sysconfdir=${DESTDIR}/etc mandir=${DESTDIR}/usr/share/man infodir=${DESTDIR}/usr/share/info localstatedir=${DESTDIR}/var
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac


%changelog
* Thu May 23 2002 Ximian, Inc.

- Version: 1:2.0.12-1.ximian.1
- Summary: New build.
- New automated build.

* Sun May 5 2002 Ximian, Inc.

- Version: 1:2.0.11-2.ximian.1
- Summary: New build.
- New automated build.

